<template name="eventParticipants">
	<div class="event-page-component-header">
		{{#if state 'showModal'}}
			<div class="modal js-participant-contact-modal-all" tabindex="-1" role="dialog">
				<div class="modal-dialog modal-sm" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h4 class="modal-title">
								<span class="fa-solid fa-paper-plane fa-fw"
									  aria-hidden="true"></span>
								{{i18n 'participantContactModal.writeMessageToAllAttendees' 'Write a message to all participants'}}
							</h4>
							<button type="button" class="btn-close" data-bs-dismiss="modal"
									aria-label="Close"></button>
						</div>
						<div class="modal-body text-dark">
							{{> sendMessage sendMessageAttr}}
						</div>
					</div>
				</div>
			</div>
		{{/if}}
		<h4>
			<span class="fa-solid fa-users fa-fw" aria-hidden="true"></span>&nbsp;
			{{i18n 'event.details.paticipants.title' '{NUM, plural, =0{No participants yet} one{1 Participant} other{# Participants} }' NUM=howManyEnrolled}}
			{{#if canNotifyAll}}
				<i
				   class="fa-solid fa-envelope event-participants-contact float-end js-contact-event-members"></i>
			{{/if}}
			<br />
			{{#if maxParticipants}}
				<span class="free-places">
					{{i18n 'event.details.participants.free.places' '{NUM, plural, =0{No free seats} one{one free seat} other{# free seats} }' NUM=howManyFreePlaces}}
				</span>
			{{/if}}
		</h4>
	</div>
	{{#if participants}}
		<div class="event-participants">
			{{#each participant in sortedParticipants}}
				{{> eventParticipant participant=participant event=this}}
			{{/each}}
			{{#if limited}}
				<button class="btn btn-add event-page-btn js-show-more-participants" type="button">
					{{i18n '_button.more'}}
				</button>
			{{/if}}
		</div>
	{{/if}}
</template>

<template name="eventParticipant">
	<div class="event-participant {{ownUserParticipantClass}}">
		{{> profileLink userId=participant}}
		{{contribution participant}}
		{{> participantContact participant=participant event=event}}
	</div>
</template>
